<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This Model manages both the accounts that users use to login to the system, as well as the account where services are owned.
 *
 * @package    Membership Database
 * @category   Models
 * @author     Deon George
 * @copyright  (c) 2014 Deon George
 * @license    http://dev.leenooks.net/license.html
 */
class Model_Account extends lnAuth_Model_Account {
	// Relationships
	protected $_has_many = array(
		'child'=>array('far_key'=>'id'),
		'email_log'=>array('far_key'=>'id'),
		'group'=>array('through'=>'account_group'),
	);

	public function list_children() {
		return $this->child->find_all();
	}
}
?>
